<?php

namespace App\Models\Dsar;

use App\Trait\BelongsToSolicitor;
use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;

class DsarChase extends Model {

    use BelongsToSolicitor;

    protected $fillable = [
        'solicitor_id',
        'dsar_id',
        'user_id',
        'notes',
        'chased_at',
    ];

    protected $casts = [
        'chased_at' => 'datetime',
    ];

    public function dsar() {
        return $this->belongsTo(Dsar::class);
    }

    public function user() {
        return $this->belongsTo(User::class);
    }
}
